import {SpiderApi, Configuration} from "@/openapi";
import config from "@/config/config";

import pinia from "@/stores/index";
import {useUserStore} from "@/stores/user";
const userStore = useUserStore(pinia);

const conf = new Configuration()
conf.basePath = config.api.baseUrl
conf.apiKey = "Bearer " + userStore.access_token

const spider = new SpiderApi(conf)

export {
    spider
}